Package nl.tue.id.oocsi

# Class Constellation

java.lang.Object
nl.tue.id.oocsi.Constellation

    public class Constellation
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Constellation()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static OOCSIAwareness` | `createAwareness​(OOCSI oocsi, java.lang.String channelName, int timeout, java.lang.String... keys)` |
  `static OOCSIAwareness` | `createAwareness​(OOCSI oocsi, java.lang.String channelName, java.lang.String... keys)` | AWARENESS
  `static OOCSIBoolean` | `createBoolean()` | VARIABLE
  `static OOCSIBoolean` | `createBoolean​(java.lang.Boolean referenceValue, int timeout)` |
  `static OOCSIBoolean` | `createBoolean​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)` |
  `static OOCSIBoolean` | `createBoolean​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Boolean referenceValue)` |
  `static OOCSIBoolean` | `createBoolean​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Boolean referenceValue, int timeout)` |
  `static OOCSIConsensus<java.lang.Boolean>` | `createBooleanConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)` |
  `static OOCSIConsensus<java.lang.Boolean>` | `createBooleanConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)` |
  `static OOCSIDouble` | `createDouble()` |
  `static OOCSIDouble` | `createDouble​(java.lang.Double referenceValue, int timeout)` |
  `static OOCSIDouble` | `createDouble​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)` |
  `static OOCSIDouble` | `createDouble​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Double referenceValue)` |
  `static OOCSIDouble` | `createDouble​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Double referenceValue, int timeout)` |
  `static OOCSIFloat` | `createFloat()` |
  `static OOCSIFloat` | `createFloat​(java.lang.Float referenceValue, int timeout)` |
  `static OOCSIFloat` | `createFloat​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)` |
  `static OOCSIFloat` | `createFloat​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Float referenceValue)` |
  `static OOCSIFloat` | `createFloat​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Float referenceValue, int timeout)` |
  `static OOCSIConsensus<java.lang.Float>` | `createFloatAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)` |
  `static OOCSIConsensus<java.lang.Float>` | `createFloatAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)` |
  `static OOCSIInt` | `createInteger()` |
  `static OOCSIInt` | `createInteger​(java.lang.Integer referenceValue, int timeout)` |
  `static OOCSIInt` | `createInteger​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)` |
  `static OOCSIInt` | `createInteger​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Integer referenceValue)` |
  `static OOCSIInt` | `createInteger​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Integer referenceValue, int timeout)` |
  `static OOCSIConsensus<java.lang.Integer>` | `createIntegerAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)` |
  `static OOCSIConsensus<java.lang.Integer>` | `createIntegerAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)` |
  `static OOCSIConsensus<java.lang.Integer>` | `createIntegerConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout)` | CONSENSUS
  `static OOCSIConsensus<java.lang.Integer>` | `createIntegerConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout, java.lang.String handlerName)` |
  `static OOCSIGather<java.lang.Integer>` | `createIntegerGather​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout)` | GATHER
  `static OOCSIGather<java.lang.Integer>` | `createIntegerGather​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout, java.lang.String handlerName)` |
  `static OOCSILong` | `createLong()` |
  `static OOCSILong` | `createLong​(java.lang.Long referenceValue, int timeout)` |
  `static OOCSILong` | `createLong​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)` |
  `static OOCSILong` | `createLong​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Long referenceValue)` |
  `static OOCSILong` | `createLong​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Long referenceValue, int timeout)` |
  `static OOCSISpread` | `createSpread​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout)` | SPREAD
  `static OOCSISpread` | `createSpread​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout, java.lang.String handlerName)` |
  `static OOCSIString` | `createString​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)` |
  `static OOCSIString` | `createString​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.String referenceValue)` |
  `static OOCSIString` | `createString​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.String referenceValue, int timeout)` |
  `static OOCSIConsensus<java.lang.String>` | `createStringConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)` |
  `static OOCSIConsensus<java.lang.String>` | `createStringConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)` |
  `static OOCSISync` | `createSync​(OOCSI oocsi, java.lang.String channelName, int timeout, java.lang.String handlerName)` | SYNC

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Constellation

    public Constellation()

- ## Method Details

  - ### createIntegerConsensus

    public static final OOCSIConsensus<java.lang.Integer> createIntegerConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout)
    CONSENSUS

  - ### createIntegerConsensus

    public static final OOCSIConsensus<java.lang.Integer> createIntegerConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout, java.lang.String handlerName)

  - ### createIntegerAvgConsensus

    public static OOCSIConsensus<java.lang.Integer> createIntegerAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)

  - ### createIntegerAvgConsensus

    public static OOCSIConsensus<java.lang.Integer> createIntegerAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)

  - ### createFloatAvgConsensus

    public static OOCSIConsensus<java.lang.Float> createFloatAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)

  - ### createFloatAvgConsensus

    public static OOCSIConsensus<java.lang.Float> createFloatAvgConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)

  - ### createStringConsensus

    public static OOCSIConsensus<java.lang.String> createStringConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)

  - ### createStringConsensus

    public static OOCSIConsensus<java.lang.String> createStringConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)

  - ### createBooleanConsensus

    public static OOCSIConsensus<java.lang.Boolean> createBooleanConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS)

  - ### createBooleanConsensus

    public static OOCSIConsensus<java.lang.Boolean> createBooleanConsensus​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeoutMS, java.lang.String handlerName)

  - ### createIntegerGather

    public static OOCSIGather<java.lang.Integer> createIntegerGather​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout)
    GATHER

  - ### createIntegerGather

    public static OOCSIGather<java.lang.Integer> createIntegerGather​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout, java.lang.String handlerName)

  - ### createSpread

    public static OOCSISpread createSpread​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout)
    SPREAD

  - ### createSpread

    public static OOCSISpread createSpread​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, int timeout, java.lang.String handlerName)

  - ### createSync

    public static OOCSISync createSync​(OOCSI oocsi, java.lang.String channelName, int timeout, java.lang.String handlerName)
    SYNC

  - ### createAwareness

    public static OOCSIAwareness createAwareness​(OOCSI oocsi, java.lang.String channelName, java.lang.String... keys)
    AWARENESS

  - ### createAwareness

    public static OOCSIAwareness createAwareness​(OOCSI oocsi, java.lang.String channelName, int timeout, java.lang.String... keys)

  - ### createBoolean

    public static OOCSIBoolean createBoolean()
    VARIABLE

  - ### createBoolean

    public static OOCSIBoolean createBoolean​(java.lang.Boolean referenceValue, int timeout)

  - ### createBoolean

    public static OOCSIBoolean createBoolean​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)

  - ### createBoolean

    public static OOCSIBoolean createBoolean​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Boolean referenceValue)

  - ### createBoolean

    public static OOCSIBoolean createBoolean​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Boolean referenceValue, int timeout)

  - ### createInteger

    public static OOCSIInt createInteger()

  - ### createInteger

    public static OOCSIInt createInteger​(java.lang.Integer referenceValue, int timeout)

  - ### createInteger

    public static OOCSIInt createInteger​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)

  - ### createInteger

    public static OOCSIInt createInteger​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Integer referenceValue)

  - ### createInteger

    public static OOCSIInt createInteger​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Integer referenceValue, int timeout)

  - ### createFloat

    public static OOCSIFloat createFloat()

  - ### createFloat

    public static OOCSIFloat createFloat​(java.lang.Float referenceValue, int timeout)

  - ### createFloat

    public static OOCSIFloat createFloat​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)

  - ### createFloat

    public static OOCSIFloat createFloat​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Float referenceValue)

  - ### createFloat

    public static OOCSIFloat createFloat​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Float referenceValue, int timeout)

  - ### createLong

    public static OOCSILong createLong​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)

  - ### createLong

    public static OOCSILong createLong​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Long referenceValue)

  - ### createLong

    public static OOCSILong createLong​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Long referenceValue, int timeout)

  - ### createLong

    public static OOCSILong createLong()

  - ### createLong

    public static OOCSILong createLong​(java.lang.Long referenceValue, int timeout)

  - ### createDouble

    public static OOCSIDouble createDouble​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)

  - ### createDouble

    public static OOCSIDouble createDouble​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Double referenceValue)

  - ### createDouble

    public static OOCSIDouble createDouble​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.Double referenceValue, int timeout)

  - ### createDouble

    public static OOCSIDouble createDouble()

  - ### createDouble

    public static OOCSIDouble createDouble​(java.lang.Double referenceValue, int timeout)

  - ### createString

    public static OOCSIString createString​(OOCSI oocsi, java.lang.String channelName, java.lang.String key)

  - ### createString

    public static OOCSIString createString​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.String referenceValue)

  - ### createString

    public static OOCSIString createString​(OOCSI oocsi, java.lang.String channelName, java.lang.String key, java.lang.String referenceValue, int timeout)